// Header File
// Created 6/7/2004; 11:04:55 AM

#ifndef _WEAPON_H_
#define _WEAPON_H_

#include "gfx.h"

typedef enum {SINGLE, HOMING} WeaponType;

typedef struct {

	Point location;
	Point momentum;
	Angle direction;

	short damage;

	Line *objlines;
	short numlines;

	short energy;

	WeaponType type;

} Weapon;

void doWeaponStuff(Camera *camera, Weapon *this, Point home);

void createLaser(Weapon *this);
void createBlast(Weapon *this);
void createPulse(Weapon *this);
void createSheildBarrier(Weapon *this);

#endif