// Header File
// Created 6/6/2004; 2:32:34 PM

#ifndef _WORLD_H_
#define _WORLD_H_

#define NUMLEVELS 3

#include "enemy.h"
#include "ship.h"

typedef struct {

	short length;

	Enemy enemy[20];
	short numenemies;

} Group;


typedef struct {

	short numgroups;

} World;

void createWorld(World *this, short world);

void setupGroup(Group *this, short world, short group, Enemy *defaultGenerator, Enemy *defaultShieldGen, Enemy *defaultFighter, Enemy *defaultCopter);
void getGroupSetup_world0(Group *this, short group, Enemy *defaultGenerator, Enemy *defaultShieldGen, Enemy *defaultFighter);
void getGroupSetup_world2(Group *this, short group, Enemy *defaultGenerator, Enemy *defaultShieldGen, Enemy *defaultFighter, Enemy *defaultCopter);
void getGroupSetup_world1(Group *this, short group, Enemy *defaultGenerator, Enemy *defaultShieldGen, Enemy *defaultFighter);

short doGroupStuff(Camera *camera, Group *group, Ship *ship, Weapon *defaultPulse, Weapon *defaultBarrier);

short hasShipCollided(Ship *this, Enemy *with);
short hasShipBeenShot(Ship *this, Point *with);

#endif